<template>
  <div class="carousel">
    <Carousel
      :touchable="true"
      :breakpoints="breakpoints"
      :dragging-distance="70"
      :slideImageInside="true"
      :slideRatio="aspectRatio"
      :bulletsOutside="true"
      :arrows="false"
      lazy
      lazy-load-on-drag
      class="no-shadow"
    >
      <!-- dots -->
      <template v-slot:bullet></template>
      <!-- for slides -->
      <slot />
    </Carousel>
  </div>
</template>
<script>
import { VueperSlides } from 'vueperslides'

export default {
  props: {
    aspectRatio: {
      type: Number,
      default: 0.56
    },
    breakpoints: {
      type: Object
    }
  },
  components: {
    Carousel: VueperSlides
  }
}
</script>
